Subject: Re: [PATCH v5 1/2] rust: netlink: add raw netlink abstraction

From: Jakub Kicinski <[email-masked]>
Date: Wed, 27 May 2026 19:21:30 -0700

On Wed, 27 May 2026 10:00:40 +0000 Alice Ryhl wrote:
> On Tue, May 26, 2026 at 04:29:26PM +0200, Miguel Ojeda wrote:
> > On Mon, May 25, 2026 at 3:17 PM Alice Ryhl <[email-masked]> wrote:  
> > >
> > > This implements a safe and relatively simple API over the netlink API,
> > > that allows you to add different attributes to a netlink message and
> > > broadcast it. As the first user of this API only makes use of broadcast,
> > > only broadcast messages are supported here.  
> >   
> > >  rust/kernel/netlink.rs          | 336 ++++++++++++++++++++++++++++++++++++++++  
> > 
> > This should be added to an existing or new `MAINTAINERS` entry, i.e.
> > as usual, either inheriting it if the maintainers want, or delegating
> > it to a sub- or co-maintainer, etc. depending on what people want.  

Good call, missed this isn't under rust/kernel/net

> Netdev maintainers, what do you prefer that I put for these files? I'm
> of course happy to be on the hook for this code.

Can we put it under rust/kernel/net and rust/helpers/net ?
And then add those directories to networking ?
Just so that we don't have to keep wondering with every little piece 
of code.

> We can either add it under an existing entry, or we could add a new one
> along these lines:
> 
> NETWORKING [RUST]
> M:	Alice Ryhl <[email-masked]>
> L:	[email-masked]
> L:	[email-masked]
> S:	Supported
> F:	rust/helpers/genetlink.c
> F:	rust/kernel/netlink.rs

Probably not at this time.

> Of course, it would be useful to have others listed here, as I'm sure I
> will have questions about how networking works if there are patches in
> this area. Or perhaps the netdev@ list itself is enough for that to
> reach the right people?
> 
> With regards to actually merging code in this area, then I think for
> this particular series it is simpler to let Greg take it through
> char-misc with all the other Binder changes. But for any future changes
> to netlink.rs, I think it makes sense for them to land through the
> netdev tree.

SG, once acked it can go via any tree. Greg's tree make sense.